React Sparkline - margin
Selector: Margin
Type:
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.light.css';
- import Sparkline, {
- Margin
- } from 'devextreme-react/sparkline';
- class App extends React.Component {
- render() {
- return (
- <Sparkline ... >
- <Margin
- top={20}
- bottom={20}
- left={30}
- right={30}
- />
- </Sparkline>
- );
- }
- }
- export default App;
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Angular Sparkline - margin

Generates space around the UI component.

Selector: dxo-margin
Type:

Object

WidgetMargin DevExtreme ChartJS

app.component.html
app.component.ts
app.module.ts
  • <dx-sparkline ... >
  • <dxo-margin
  • [top]="20"
  • [bottom]="20"
  • [left]="30"
  • [right]="30">
  • </dxo-margin>
  • </dx-sparkline>
  • import { Component } from '@angular/core';
  •  
  • @Component({
  • selector: 'app-root',
  • templateUrl: './app.component.html',
  • styleUrls: ['./app.component.css']
  • })
  • export class AppComponent {
  • // ...
  • }
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxSparklineModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxSparklineModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

bottom

Specifies the bottom margin of the UI component in pixels.

Type:

Number

Default Value: 0

left

Specifies the left margin of the UI component in pixels.

Type:

Number

Default Value: 0

right

Specifies the right margin of the UI component in pixels.

Type:

Number

Default Value: 0

top

Specifies the top margin of the UI component in pixels.

Type:

Number

Default Value: 0